// ======================================================================
// etl_frostbite shader
// 2020 Cedric 'keMoN' E.
// ======================================================================

/////////////////
// COMMAND MAP //
/////////////////

levelshots/etl_frostbite_v9_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/etl_frostbite_v9_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_frostbite_v9_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_frostbite_v9_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// END COMMAND MAP //

textures/etl_frostbite/_snow
{
	qer_editorimage textures/snow_sd/s_grass_ml03b_big.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_snow_mud
{
	qer_editorimage textures/snow_sd/snow_muddy.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_frostbite/_cliff
{
	qer_editorimage textures/stone/mxsnow0.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/stone/mxsnow0.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/stone/mxrock3h_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/skies/etl_frostbite
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_sunExt 143 174 174 25 35 45 1 16
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{	
		fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{	
		fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}